{% extends 'configuration/looking_for_property_request_reporter/looking_for_property_request_reporter_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/looking_for_property_request_reporter/layout') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/looking_for_property_request_reporter/layout') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Gesuchsmelder-Konfiguration</span>
        {{ form_widget(layoutForm.save, {'label': 'SPEICHERN', 'id': layoutForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Einstellungen für das Layout</h2>
                {{ form_start(layoutForm, {'attr': {'id': layoutForm.vars.id ~ '_form'}}) }}
                {% include 'configuration/form/looking_for_property_request_reporter/layout_form.html.twig' with {'form': layoutForm} only %}
                {{ form_row(layoutForm._token) }}
                {{ form_end(layoutForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
